API ReferenceapimembershipGET /v1/memberships/{id}/history

GET /v1/memberships/\{id\}/history

Service: membership · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Responses

200 Transition history

{
  "type": "object",
  "properties": {
    "transitions": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "from_state": {
            "type": "string"
          },
          "to_state": {
            "type": "string"
          },
          "trigger": {
            "type": "string"
          },
          "reason": {
            "type": [
              "string",
              "null"
            ]
          },
          "created_at": {
            "type": "string"
          }
        },
        "required": [
          "from_state",
          "to_state",
          "trigger",
          "reason",
          "created_at"
        ]
      }
    }
  },
  "required": [
    "transitions"
  ]
}

Example

curl -X GET https://membership.platform.loop.health/v1/memberships/{id}/history \
  -H "Authorization: Bearer $ACCESS_TOKEN"